Name: gnome-settings
Version: 1.0
Release: alt4

Summary: Default settings for the Gnome
License: GPL
Group: Graphical desktop/GNOME

BuildArch: noarch

%define GConf_ver 2.2.0

PreReq: /usr/bin/gconftool-2

BuildPreReq: GConf2 >= %GConf_ver
Requires: design-graphics >= 1.0-alt3

%define icon_theme BlueSphere
Requires: icons-%icon_theme >= 0.3.0-alt2

%description
This package contains default settings for Gnome design.

%post
if [ -f /etc/gconf/schemas/desktop_gnome_background.schemas ]; then
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename /usr/share/design/backgrounds/default.png
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
fi
if [ -f /etc/gconf/schemas/desktop_gnome_interface.schemas ]; then
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
fi
if [ -f /etc/gconf/schemas/desktop_gnome_file_views.schemas ]; then
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme
fi

%triggerin -- libgnome
%gconf2_set string /desktop/gnome/background/picture_options stretched
%gconf2_set string /desktop/gnome/background/picture_filename /usr/share/design/backgrounds/default.png
%gconf2_set string /desktop/gnome/background/primary_color \#21449c
%gconf2_set string /desktop/gnome/background/color_shading_type solid
%gconf2_set string /desktop/gnome/interface/icon_theme %icon_theme
%gconf2_set string /desktop/gnome/file-views/icon_theme %icon_theme

%files

%changelog
* Sun Jan 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt4
- Change default icon theme to BlueSphere.

* Mon Dec 09 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt3
- Default interface and file-views icon themes (second for feature use).
- Removed dependence on libgnome.

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2
- move to new gconf setting scheme

* Tue Oct 08 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt1
- Initial release
